How to reload sound modules?

I'm using alsa + pulse sound system. I also have Openbox as a stand-alone WM and lightDM,  but the same thing occurs on my debian testing + gnome. I've been trying to solve this issue for several days but with no success.
Below is the output from alsa-info.sh script
http://www.alsa-project.org/db/?f=9f32f … f7cdddcc40
Installed packages:
morfik:~$ pacman -Qs alsa
local/alsa-lib 1.0.27-1
An alternative implementation of Linux sound support
local/alsa-plugins 1.0.27-1
Extra alsa plugins
local/alsa-utils 1.0.27-4
An alternative implementation of Linux sound support
local/pulseaudio-alsa 2-2
ALSA Configuration for PulseAudio
morfik:~$ pacman -Qs pulse
local/libao 1.1.0-3
Cross-platform audio output library and plugins
local/libcanberra-pulse 0.30-3
PulseAudio plugin for libcanberra
local/libpulse 3.0-3
A featureful, general-purpose sound server (client library)
local/paprefs 0.9.10-2
A simple GTK-based configuration dialog for PulseAudio
local/pavucontrol 2.0-1
A GTK volume control tool for PulseAudio
local/pulseaudio 3.0-3
A featureful, general-purpose sound server
local/pulseaudio-alsa 2-2
ALSA Configuration for PulseAudio
Everything works fine until hibernation. After my system goes up, one speeker (of 4) is missing, I mean that 3 others play sound well, but the rear-left is silent. I don't know what is wrong, but on debian I can deal with it by reloading sound modules:
$ pulseaudio -k
# alsa force-reload
$ pulseaudio -D
But unfortunately there is no such a thing like "alsa" in Arch. When I type alsa force-reload on my debian, I get this:
root:/# alsa force-reload
Unloading ALSA sound driver modules: snd-ca0106 snd-seq-midi snd-seq-midi-event snd-rawmidi snd-ac97-codec snd-pcm snd-page-alloc snd-seq snd-seq-device snd-timer.
Loading ALSA sound driver modules: snd-ca0106 snd-seq-midi snd-seq-midi-event snd-rawmidi snd-ac97-codec snd-pcm snd-page-alloc snd-seq snd-seq-device snd-timer.
I tried to change a little pulse settings in /etc/pusle/daemon.conf but this does nothing. Now the file looks like this:
daemonize = yes
allow-exit = yes
use-pid-file = yes
exit-idle-time=0
resample-method=speex-float-0
default-sample-rate = 44100
alternate-sample-rate = 48000
default-sample-channels = 4
default-channel-map = front-left,front-right,rear-left,rear-right
I can't use hibernation because after my system comes to life, I have to reboot it in order to make sound work properly.
I don't know what info I should provide, so if you want to know something more about configuration of my pc, feel free and ask, I'll post the info as soon as possible.

Raynman -- thanks for the hint. I looked for the alsa script on debian, and it exists, so I moved it to arch.
This is the script:
#!/bin/sh
# alsa-base control script
# Description: Used to load and unload ALSA modules and
# restore and store mixer levels. There is no
# longer any need to run this script on bootup
# or shutdown. It is now moved to /usr/sbin.
set -e
# Exit if alsa-base package is not installed
[ -f /etc/modprobe.d/alsa-base.conf ] || exit 0
MYNAME=/usr/sbin/alsa
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
# Default values of variables in /etc/default/alsa
force_unload_modules_before_suspend=""
[ -f /etc/default/alsa ] && . /etc/default/alsa
# $* MESSAGE
warn() { echo "${MYNAME}: Warning: $* " >&2 ; }
# Attempt to create /var/run/alsa if it is absent.
# Return true if /var/run/alsa exists after this attempt,
# otherwise false.
check_run_dir()
[ -d /var/run/alsa ] && return 0
# We have no business creating /var/run if it doesn't exist
if ! [ -d /var/run ] ; then
warn "Could not create /var/run/alsa/ because /var/run/ is not present."
return 1
fi
if ! mkdir --mode=755 /var/run/alsa ; then
warn "Failed to create /var/run/alsa/."
return 1
fi
[ -d /var/run/alsa ] && return 0
return 1
echo_procs_using_sound()
for i in /proc/[0-9]*/fd/* ; do
var="$(readlink $i)"
if test x"$var" != x"${var#/dev/snd/pcm}" ; then
IFS=/; set -- $i; unset IFS; echo $3
fi
done
# $* [PID]...
echo_with_command_names()
[ "$1" ] || return 0
echo $( \
ps --no-headers -o "%p %c" "$@" \
| sed -e 's/\([0-9][0-9]*\) \(.*\)/\1(\2)/' \
kill_procs_using_sound()
procs_using_sound="$(echo_procs_using_sound)"
if [ "$procs_using_sound" ] ; then
echo -n "Terminating processes:"
for attempt in 1 2 3 4 ; do
echo -n " ${procs_using_sound}"
kill $procs_using_sound || :
sleep 1
procs_using_sound="$(echo_procs_using_sound)"
[ "$procs_using_sound" ] || break
done
# Either no more procs using sound or attempts ran out
if [ "$procs_using_sound" ] ; then
echo -n " (with SIGKILL:) ${procs_using_sound}"
kill -9 $procs_using_sound || :
sleep 1
fi
procs_using_sound="$(echo_procs_using_sound)"
if [ "$procs_using_sound" ] ; then
echo " (failed: processes still using sound devices: $(echo_with_command_names $procs_using_sound))."
return 1
fi
echo "."
fi
return 0
# $* MODULE-NAME [MODULE-NAME]... | "all"
unload_modules()
procs_using_sound="$(echo_procs_using_sound)"
if [ "$procs_using_sound" ] ; then
warn "Processes using sound devices: $(echo_with_command_names $procs_using_sound)."
fi
if check_run_dir ; then
:> /var/run/alsa/modules-removed
else
warn "Not keeping list of removed modules because /var/run/alsa is absent.
It will not be possible automatically to reload these modules."
fi
echo -n "Unloading ALSA sound driver modules:"
[ -d /proc/asound ] || { echo " (none loaded)." ; return 0 ; }
echo_snd_modules_loaded()
lsmod \
| sed -n -e 's/^\(snd[-_][^[:space:]]*\)[[:space:]].*/\1/p' \
| sed -e 's/_/-/g'
for FSMBS in $* ; do
MODULES_TO_REMOVE=""
SND_MODULES_LOADED="$(echo_snd_modules_loaded)"
case "$FSMBS" in
all)
MODULES_TO_REMOVE="$SND_MODULES_LOADED"
snd_*|snd-*)
FSMBS="$(echo "$FSMBS" | sed -e 's/_/-/g')"
for M in $SND_MODULES_LOADED ; do
if [ "$FSMBS" = "$M" ] ; then
MODULES_TO_REMOVE="$FSMBS"
break
fi
done
esac
[ "$MODULES_TO_REMOVE" ] || continue
if [ -d /var/run/alsa ] ; then
echo "$MODULES_TO_REMOVE" >> /var/run/alsa/modules-removed
fi
for M in $MODULES_TO_REMOVE ; do
echo -n " ${M}"
modprobe -r "$M" >/dev/null 2>&1 || :
done
done
if [ -f /var/run/alsa/modules-removed ] ; then
MODULES_STILL_LOADED="$(echo_snd_modules_loaded | grep -F -f /var/run/alsa/modules-removed)"
MODULES_STILL_LOADED="$(echo $MODULES_STILL_LOADED)"
else
MODULES_STILL_LOADED=""
fi
if [ "$MODULES_STILL_LOADED" ] ; then
echo " (failed: modules still loaded: ${MODULES_STILL_LOADED})."
return 1
else
echo "."
return 0
fi
# $* MODULE-NAME [MODULE-NAME]... | "all"
force_unload_modules()
kill_procs_using_sound || :
unload_modules "$@" || return 1
return 0
load_unloaded_modules()
LUM_RETURNSTATUS=0
MODULES_TO_LOAD=""
[ -d /var/run/alsa ] || warn "Directory /var/run/alsa is absent."
echo -n "Loading ALSA sound driver modules:"
[ -f /var/run/alsa/modules-removed ] && MODULES_TO_LOAD="$(echo $(cat /var/run/alsa/modules-removed))"
[ "$MODULES_TO_LOAD" ] || { echo " (none to reload)." ; return $LUM_RETURNSTATUS ; }
echo -n " $MODULES_TO_LOAD"
for MDL in $MODULES_TO_LOAD ; do
modprobe $MDL || LUM_RETURNSTATUS=1
done
case "$LUM_RETURNSTATUS" in
0) echo "." ;;
*) echo " (failed)." ;;
esac
return $LUM_RETURNSTATUS
case "$1" in
unload)
unload_modules all || exit $?
reload)
EXITSTATUS=0
unload_modules all || EXITSTATUS=1
load_unloaded_modules || EXITSTATUS=1
exit $EXITSTATUS
force-unload)
force_unload_modules all || exit $?
force-reload)
EXITSTATUS=0
force_unload_modules all || EXITSTATUS=1
load_unloaded_modules || EXITSTATUS=1
exit $EXITSTATUS
suspend)
case "$force_unload_modules_before_suspend" in
""|false) : ;;
all|true) force_unload_modules all || exit $? ;;
*) force_unload_modules $force_unload_modules_before_suspend || exit $? ;;
esac
resume)
case "$force_unload_modules_before_suspend" in
""|false) : ;;
*) load_unloaded_modules || exit $? ;;
esac
echo "Usage: $MYNAME {unload|reload|force-unload|force-reload|suspend|resume}" >&2
exit 3
esac
It requires two other files in /etc/modprobe.d/ . I also moved them from debian:
alsa-base-blacklist.conf
# Uncomment these entries in order to blacklist unwanted modem drivers
# blacklist snd-atiixp-modem
# blacklist snd-intel8x0m
# blacklist snd-via82xx-modem
# Comment this entry in order to load snd-pcsp driver
blacklist snd-pcsp
alsa-base.conf
# autoloader aliases
install sound-slot-0 /sbin/modprobe snd-card-0
install sound-slot-1 /sbin/modprobe snd-card-1
install sound-slot-2 /sbin/modprobe snd-card-2
install sound-slot-3 /sbin/modprobe snd-card-3
install sound-slot-4 /sbin/modprobe snd-card-4
install sound-slot-5 /sbin/modprobe snd-card-5
install sound-slot-6 /sbin/modprobe snd-card-6
install sound-slot-7 /sbin/modprobe snd-card-7
# Cause optional modules to be loaded above generic modules
install snd /sbin/modprobe --ignore-install snd && { /sbin/modprobe --quiet snd-ioctl32 ; /sbin/modprobe --quiet snd-seq ; : ; }
install snd-rawmidi /sbin/modprobe --ignore-install snd-rawmidi && { /sbin/modprobe --quiet snd-seq-midi ; : ; }
install snd-emu10k1 /sbin/modprobe --ignore-install snd-emu10k1 && { /sbin/modprobe --quiet snd-emu10k1-synth ; : ; }
# Keep snd-pcsp from beeing loaded as first soundcard
options snd-pcsp index=-2
# Keep snd-usb-audio from beeing loaded as first soundcard
options snd-usb-audio index=-2
# Prevent abnormal drivers from grabbing index 0
options bt87x index=-2
options cx88_alsa index=-2
options snd-atiixp-modem index=-2
options snd-intel8x0m index=-2
options snd-via82xx-modem index=-2
options snd-ca0106 index=0
options snd-hda-intel index=1
After hibernation, the script provides sound as expected. I also notticed that I can reload only snd-ca0106 and the sound comes back.
Now I have to make a .service file that could make my sound work. But I need more info how to do so.

Similar Messages

  • How could I AM modulation from sound

    Hello now I'm studying about AM/FM modulation & Demodulation
    I wanna modulation sound whatever voice or soundfile to modulated signal
    and demodulation form that to excutable sound signal like original sound
    in the follow screenshot is simple am modulation
    this block diagram mean as you know : (Carrier * signal)+carrier  = DSB-tc
    problem is "Simulate Signal.vi" harm original signal to nomal sine signal
    so i connected directly from input to multifly but that make error "Waveforms have different dt values"
    at this point of time I wondering how could i multifly or add original signal with carrier
    that was main problem
    in addition If you can reply about how cound demodulate from modulated sinal to sound
    and How could I play sound without delay in 'Acquire Sound.vi' I will be really appreciate 
    Thank you in advance for your help
    Attachments:
    am_modulation 3.vi ‏2093 KB

    reposted

  • How do I use logic as a mulit timbre sound module???

    Whats up people,
    Im trying to trigger all the sounds in logic via a hardware controller (mpc) separating everything on separate channels. I got it to read on just one channel at a time, but multi?? Forget about it.... I read other posts in regards to this same question and have run thru the suggestion switched midi setting to auto demix etc...
    Doesn't respond if i go to another channel on my hardware and select the new instrument to the same channel in logic it still only allows playback from one channel at a time?? Huh is my theory even possible folks!?? I would think it is.
    Im trying to comprehend the instructions in the manual for the environment setup, to see if i need to make any changes their. I thrown in a channel splitter, a seq input, a transformer but i have no idea if im doing it right?? I must be slow cos to me that enviroment chapter reads like riddles! (LAYMAN TERMS SOMEONE PLEASE!!)
    If anyone can assist in this id appreciate it. Any and all suggestions are welcome.
    Good lookin out
    peace
    D.

    Greetings people,
    The latest.............okay where do i start. Well i actually followed everybody suggestion on this thread and actually as a result now understand the enviroment a little better. But i have still been unable to get my multi playback channels. I managed to get access to all 16 channels etc.
    Right now i have my physical input going thru the monitor to the channel splitter, each channel is cabled to my audio instrument(which im assuming is the multi inst i created as to represent the mpc) channels are set to all and then i have the out of my audio instrument going to the seq input. I hear my sounds and have actually triggered the internal sounds from the mpc pads no problem (did that b4 i posted)
    but now say i select midi channel 1 on my mpc, which in turn is instrument 1, double click it to get the audio window select ultrabeat, go back to the mpc and program some drums using ultrabeats sounds. Now remember all im doing is recording midi signals into my mpc which is triggering logics sounds right. okay so now, im saying i want to go to the next channel/audio instrument/ and now use sculpture and put a nice fat bass on it. so i select the patch i want hit play on my mpc hoping that it plays back the drums, but NO! now i have selected a new track it pulls over the programming i did for ultrabeat into the sculpture patch.....follow me??
    I tested logic to just record one at a time in the arrange, and it does but it records real erratic. btw my mpc is strung up thru my midisport usb which i did select in the enviroment window..check!
    I tried Mac's method of dragging the audio instrument into the arrange and selecting the track with a corresponding sub channel etc but got allot of midi feedback!!??? I know that going to settings - record-auto demix etc is supposed to do the trick, well it aint for me?? Please what am i doing wrong??
    Ultimately i want to be able to program my mpc using logics sounds via the midi channels simultaneously, and then dump it all down into logic once i am happy with the outcome. Am i asking too much for logic to be a sound source and recorder at the same time??
    I dont mean to sound naive or ignorant but i have just started using software for the first time. i use to go the hardware route using digital recorders allday but it was a simpler routing method since my sound sources were seperate(keyboards, sound modules etc). obviously now im tryint to intergrate my old style with the new, but im getting very fustrated and creativley lathalgic from this setback. Many have suggested tossing the mpc and using logic for drums, but sorry i just cant do it i love that boom bap to much.
    Anway sorry for the rambling its late and ive just spent the last 5 hours beating my head upside the g5. If anyone out their hasd a similar setup to me whether successful or not, get at me lets trade off techniques and ideas.
    Thanks again for taking the time to read the thread and offering your help, please keep it coming.
    peace
    D.

  • Issue with ALSA softvol and reloading sound card module

    I'm using a Chaintech AV710 card with the snd_ice1724 module as a driver. The core issue is that sometimes when this module is loaded during startup (or every time after a suspend), it will play nothing but very loud static. To fix this, I simply reload the module. This fix worked fine for me while I used pulseaudio: I would just kill pulse, reload the module, and start pulse after every suspend. Now, however, I'm using a system that involves an ALSA softvol plugin. The softvol device is being used by JACK: jackd -d alsa -d softvol. When I reload the module using this setup, the softvol control I set up becomes locked at 100%. amixer reports "Invalid command!" for sset Master2 10%. The audio will still play, but I can't figure out any way to reset it to make this control work again short of renaming the control, restarting jack, renaming the control back to the original name, then restarting jack again. Any help alleviating this issue on any of these fronts would be appreciated. Relevant asound.conf sections:
    pcm.mycard {
    type hw
    card AV710
    device 1
    rate 44100
    channels 2
    format S32_LE
    pcm.softvol {
    type softvol
    slave.pcm "mycard"
    control {
    name "Master2"
    card AV710
    ctl.softvol {
    type hw
    card AV710
    Last edited by XionZui (2013-06-11 16:33:25)

    stlarch wrote:Hi, did you install alsa-utils and add alsa to your daemons array in /etc/rc.conf? Also, you need to add yourself to the audio group, #gpasswd -a yourusername audio. The wiki has an article on alsa that should help, or check the beginners guide.
    Yes, of course, alsa-utils is installed (so is alsa-firmware, and alsa-oss). I'm in audio group.
    ewaller wrote:can you post the output of
    cat /proc/asound/cards
    Also, you should have a directory /proc/asound/card0/  Which should have one or more files with names of the form codec#n, where n is a sequential integer starting with 0.  If those files are not hellaciously long, post them here (With code tags).  Otherwise, could you pastebin them and provide a link?
    Edit: fixed typo
    ~ $ cat /proc/asound/cards
    --- no soundcards ---
    The directory /proc/asound/card0 doesn't exist :
    ~ $ lsi /proc/asound/
    total 0
    -r--r--r-- 1 root root 0 Mar 5 12:38 cards
    -r--r--r-- 1 root root 0 Mar 5 12:38 devices
    -r--r--r-- 1 root root 0 Mar 5 12:38 hwdep
    -r--r--r-- 1 root root 0 Mar 5 12:38 modules
    dr-xr-xr-x 2 root root 0 Mar 5 12:38 oss/
    -r--r--r-- 1 root root 0 Mar 5 12:38 pcm
    dr-xr-xr-x 2 root root 0 Mar 5 12:38 seq/
    -r--r--r-- 1 root root 0 Mar 5 12:38 timers
    -r--r--r-- 1 root root 0 Mar 5 12:38 version
    Thanks for helping !

  • **How to use Logic as a sound module with an MPC?!?!**

    So I'm new to Logic, I love the program but don't know a thing about the environment... I've seen people discuss this a lot on the forums but I still haven't been able to figure it out.
    Basically, I am using an MPC 2500 and would like to use Logic as a sound module.
    I know you have to create a new multi track instrument in the environment but as a newbie I just can't seem to put the pieces together. I tried and tried but when I create a new instrument all I get is a box with 16 channels!?
    Does someone have a similar setup? Would anyone mind sending me their environement?
    MacBook Pro   Mac OS X (10.4.7)  

    Pictures worth a thousand words and stuff:
    http://bj.angeltowns.com/images/log_cs.jpg
    Here I've disconnected the physical input object from the sequencer object (called "to recording & thru")
    I've created a channel splitter object, and cabled the physical input object to it. I'm now in the process of option-clicking the channel splitter's output cables (one for each MIDI channel) - ()option-clicking the output cables is a shortcut way to cable to objects on different layers) - and selecting channel 1 (and thus cable 1) to go to Audio Instrument 1, channel 2 (cable 2) to Audio Instrument 2 etc.
    So the MIDI comes in to Logic, gets split into individual channels, and each channel goes to it's own audio instrument via a cable, which you can put any plugins on.
    You can't record into Logic this way now, as we've bypassed the sequencer, but I think you need it simple at this stage

  • Using External Sound Modules (Synths) in Logic Express?

    Hi all,
    I don't have Logic Express yet. I want to know if what I want to do is possible before I purchase. It may sound trivial, but I'm very new to the whole DAW environment. Apparently Garageband can't support my external sound modules so I'm hoping Logic Express will.
    To help, please see my hardware midi setup diagram here:
    http://www.greddin.com/images/My-Midi-Setup.jpg
    Will I be able to add tracks that will play the external sound devices like the Wavestation and JD-990? Can you change the sounds through Logic? To what extent can I use my external sound modules?
    Thanks all,
    -Greg

    Hi,
    1st: Yes, Logic Express has "external MIDI" tracks that function similar to the "software instrument" tracks but trigger external instruments.
    2nd: But: To setup these tracks, especially with more than one device, needs some experience with MIDI, the channels, patch selection via MIDI etc. The real downside is you have to find out which commands you need to "tell" your devices to change sounds and these things. Since there is no standard command for this, you'll have to look it up in your devices manual and use the MSB/LSB Values- which you have to enter manually. However, once you found it out, you can save these things as templates and use them in the future. So yes, it is very possible, but expect some learning curve.
    3rd: You can use your sound modules to their full extent. Logic features a mighty MIDI environment setup once you learned how to use it.
    Fox

  • Hooking up sound modules through MIDI Controllers

    I have an Axiom 25 MIDI Controller
    and an Alesis QSR sound module.
    how can i hook the module up to the axiom then get the sounds out through garageband.  I did this once years ago and i just can't remember for the life of me.  I have instrument cables, midi cables.  I guess i'm not plugging them in in the correct order.  This sounds really noobish of me, i know, but i could desperately use some help here.  Thanks!

    Hi. The only way to get the sounds from the QSR into GarageBand is to record the audio out from the module. You will need to go from MIDI out (using the 5pin MIDI connection not USB) on the Axiom to MIDI in on the QSR. You need to make sure that the QSR is listening to the MIDI channel the Axiom is sending on. You will then need to go from the Main L/R Audio outs on the Alesis into 'something' that GB can listen to. If you have an Audio interface then all good. Set that up as your Input Source in GB's preferences, create a Real Instrument Track, set up the correct input source/channels in GB's info pane and your good to go. If you do not have an Audio interface and are going straight into your computers built in input, then you will need a cable that is suitable to connect the outs from the QSR to the single 3.5mm-1/8" jack that your computer has.
    All the best

  • External sound module

    Is it possible to connect an external sound module to iMac/Garageband so as not to use the quicktime software sounds?
    iMac   Mac OS X (10.4.5)  

    I don't understand that question! GB has midi input, but that doesn't help if you want to record the audio output of the sound module.
    How would you do that? I don't know if MidiO is functional in the record mode - then you could just record the sound from the module while it is triggered by the midi out. If not, I'd record it in the background to an audio editor while playing back the GB file and later import that audio.
    But as I said, that's theoretical reasoning, since I haven't used MidiO. MyMac should know more.

  • Where are my sound module preset names in the track list?

    I've been using Logic since version 2.5 and, since I have several MIDI sound modules whose sounds I'm perfectly happy with, I am now using those sound modules with Logic 8.
    But having just upgraded to 8 from 7, I've discovered something I think is missing, which is a bit of an annoyance.
    In all previous versions of Logic, if you set up a instrument in the Environment for a MIDI sound module and then added all the preset names when you set up the bank/program change commands, when you select a preset from the track list in the Arrange window, the name in the track list changed from the name of the instrument to the name of the preset.
    For example, the name would change from 'Fantom XR' (the name I'd called the instrument in the Environment) to 'PNO SoTrue' (the name of the preset) in the track list when I selected that preset via Logic.
    However, in Logic 8, when I select a preset, the name on the track list now stays as 'Fantom XR' (or whatever the name of the instrument is) and doesn't change to that of the preset.
    Given that I use six MIDI modulss, keeping track of the sounds by having the trak list name change to that of the presets was really useful for keeping track of what was what.
    Have I just missed something with how to do it, or is a permanent change? I really hope not.

    No, it's still there, but the interface has changed.
    Right-click on a track and select "Configure Track Header"
    In the box that comes up, enable the checkbox under "Names" and next to it (the second flip menu), select "Software Instrument Setting Name".
    Now the program names in your multi-instruments are displayed in the manner you have been accustomed to.
    As ever, save this stuff in your autoload to always have you own configs available.
    You have some options there in that the two flip menus determine the first and second displayed track name, so you can set up how you like - it's more flexible than earlier versions of Logic.

  • Simple question: using mainstage as sound module AND run multi tracks live

    i want to play live, using my mac book pro, mainstage as a sound module while running several (audio) outputs/tracks at the same time. is this possible and how is it done? i don't want to change to ableton live! thx a bunch everyone!

    If doing vocals and latency is a problem, you can also experiment with taking your live (dry) signal direct (if you interface allows this) into your mix, which will be zero latency. Live signal also goes through MainStage to apply effects such as reverb and delay, and you feed the wet only signal to a separate "vocal fx" mix channel.
    Of course, you can't apply plug-in based eq and compression to the realtime signal (or your back to the latency problem), you would have to rely on hardware/mixer for that. I have experimented with this method with good results...
    Others have reported not being bothered by the amount of vocal latency, but I wonder...

  • Using my external midi instrument, Yamaha PSR-540 as a sound module

    I use Logic Studio/Logic Pro 8.0.2. I have figured out how to record rhythms from my Yamaha PSR-540 keyboard as midi onto my arrange window as I couldn't find a similar loop within Logic. Due to my keyboard's timing being different to Logic I have now figured out how to get Logic to trigger my keyboard as a sound module/source also; however, Logic is only seeing a random selection of 128 of the 707 XG/GM sounds on my keyboard and not the sound I need (which is an XG [Expanded General Midi] sound = Rock Toms). These 128 sounds are listed via the Environment window, clicking box 1 on the multi-track instrument object shown and then double-clicking on box 1. This window details two key things as well, Bank: (No Bank specified, Names of Bank 0 used) and Bank Message: (Control 32). I've tried altering these in the hope Logic brings up a different listing of my keyboard's sounds but to no luck. Please help if you can. Thank you very much.

    Antidisestablishmentistarism wrote:
    Thanks. I checked out those XG synth specs v1.26 and I looked at Logic's manual page 887 etc. I then looked at my keyboard's manual again and although it didn't tell me much, I think I'm after LSB rather than MSB. By now having these two other places to look it allows me to make many variations; however, I don't really know how to really connect the dots between those synth specs v1.26 and making the appropriate changes in the Define Custom Bank Messages and Multi Instrument Windows. Bit over my head and have been trying for about 10 hours since. Is it possible to get my hands on an environment with all the correct presets for such a problem?
    A site that's been around for ages.
    http://www.swiftkick.com/
    Under downloads Logic Environments/Logic Users Group/Synth Editors
    It's been a long time since I looked at any of these, they're from older versions of Logic but probably can be imported by layer.
    pancenter-

  • [SOLVED] No sound modules after kernel update

    Hello,
    after updating my kernel, I have no sound modules. Alsaconf can't detect card. My lspci sound card:
    00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
    My lsmod:
    Module Size Used by
    joydev 9895 0
    usbhid 35352 0
    hid 82435 1 usbhid
    nvidia 12069499 40
    broadcom 7270 0
    tg3 133684 0
    ehci_hcd 40794 0
    intel_ips 11245 0
    psmouse 55501 0
    libphy 16985 2 broadcom,tg3
    i7core_edac 16231 0
    serio_raw 4294 0
    i2c_i801 8187 0
    pcspkr 1819 0
    evdev 9530 10
    usbcore 144144 3 usbhid,ehci_hcd
    edac_core 37552 3 i7core_edac
    i2c_core 20460 2 nvidia,i2c_i801
    sg 25429 0
    iTCO_wdt 11789 0
    button 4470 0
    iTCO_vendor_support 1961 1 iTCO_wdt
    processor 24224 0
    fuse 66858 2
    ext4 375413 3
    mbcache 5881 1 ext4
    jbd2 70667 1 ext4
    crc16 1359 1 ext4
    raid0 7958 2
    md_mod 100392 3 raid0
    sr_mod 14951 0
    cdrom 36553 1 sr_mod
    sd_mod 28275 8
    pata_acpi 3376 0
    ata_piix 22077 6
    libata 166724 2 pata_acpi,ata_piix
    scsi_mod 132794 4 sg,sr_mod,sd_mod,libata
    And my kernel:
    Linux nekroman 3.1.2-1-ARCH #1 SMP PREEMPT Tue Nov 22 09:17:56 CET 2011 x86_64 Intel(R) Core(TM) i5 CPU 760 @ 2.80GHz GenuineIntel GNU/Linux
    Thanks for help.
    //edit:
    Reinstalled kernel and it works!
    Last edited by Nekroman (2011-11-25 15:08:32)

    how did you re-install the kernel?  I've never done that, and am too experiencing sound issues.
    --nixIT

  • How to add sounds to Garageband on the ipad2?

    I was wondering how to add sound libraries to the ipad2. I am looking to use the ipad2 as a sound module so when I plug it up to my keyboard I can play any sound I want. I got the idea from a Jamal Hartwell Video.
    http://www.youtube.com/watch?v=iICtztPXqZA
    Starling
    http://www.StarlingJonesJr.com

    Tap on the Spanner icon, tap on Share and Print, Tap on Print.
    You will also need to have an Air-Print enabled printer and both the printer and ipad must be connected to the same network.  If your printer isn`t Air-Print enabled then there is a work-a-round but you will have to use google to obtain the files and instructions, do a search on google for Air-Print for PC or Air-Print for Mac.
    To save a document in Pages for iPad just tap on Documents to take you back to your list of documents and the one you are currently working on will automatically save, you can then tap on the documents name to change it.

  • Using Roland percussion sound module inside Logic 8.

    Hello,
    I have a Roland td-6v percussion sound module and want the sounds to show up inside logic for use. How do I do that? I have a 002 with two midi cables connected (midi in and out from the Roland module coming into the 002). I have been able to use the kit as a controller for sounds inside logic and also control the kit from logics sequencer out through midi. (I could record drums as Audio but that's not the idea)
    Thanks and sorry if my explanation is confusing in any way
    Thanks again.

    There really isn't any easy way to do this. so i assume you know that MIDI doesn't transfer any "audio" only information note on note off velocity etc. although they talk fine about this stuff logic does not have direst access to the sounds in your roland memory.
    To get them "into" logic. you would have to record the roland sounds as audio. you can do this as a track in your song by bouncing, that is recording the audio from the roland to a track. or you can go in and record the sounds individually (not as a beat per se) then chop out the individual hits and load them in to the EXS24 or Ultrabeat as a custom drum kit. then they would be "available" to logic.
    There is no way to just load the sounds from your roland (or really any instrument) into logic.
    however there is a product that can automate the process of sampling midi instruments and then create custom EXS24 kits. It is made by Redmatica and is called AutoSampler you can check it out at
    http://www.redmatica.com/Redmatica/AutoSampler.html
    good luck-g

  • How to install memory modules on a macbook pro 15"

    I run Windows 7 via parallels desktop on my macbook pro. How do I type special characters on a Word document using the mac keyboard?

    how to install memory modules on a macbook pro 15"
    Read the manual / user guide that came with your comptuer or download it from http://support.apple.com/manuals/
    I run Windows 7 via parallels desktop on my macbook pro. How do I type special characters on a Word document using the mac keyboard?
    Post your question on the Paralells forums:  http://forums.parallels.com

Maybe you are looking for

  • Error while creating projects in SAP-PS from cProjects

    Hi, Need suggestion on creating projects in SAP-PS from cProjects. There is cProjects & SAP-PS interface.The requirment is to create project in SAP-PS from cProjects. All the configuration has done in cProjects & PS module also. While saving the proj

  • Elements 10 does not recognize multiple printers of same model?

    In our business, we print on multiple printers, some of which are the same model. For example, the Epson Stylus C88 is a common printer for us and we've been using PSE for years, since Version 3.  For the purpose of our sample integrity (we print spe

  • Really need help on this one ! Tremolo sound in my guitar audio track.

    I did some fingerpicking with my acoustical guitar track of GB4. But can't for the life of me figure out how to to get rid of the tremolo sound. It sounds like I added a chorus effect. But recorded it straight with my mic. I went to prefrences but co

  • BAPI for Purchase info record creation

    Hi Please let me know how to create purchase info record through BAPI, with tax codes along with material price. please guide me. Simha

  • Not Rendering Photos

    I have a 2 minute project that is pretty simple. I have about 8 photos that scroll. 3 of them do not render in the final output, but the rest do. My text on above the images render just fine. I have no idea what is causing this. I haven't done anythi